---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  creationTimestamp: "2022-03-08T10:43:50Z"
  generation: 1
  labels:
    name: image-registry-operator-alerts
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:name: {}
      f:spec:
        .: {}
        f:groups: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:43:50Z"
  name: image-registry-operator-alerts
  namespace: openshift-image-registry
  resourceVersion: "15997"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-image-registry/prometheusrules/image-registry-operator-alerts
  uid: 789175dd-dd9a-4631-a5bf-832e7563f9ef
spec:
  groups:
  - name: ImageRegistryOperator
    rules:
    - alert: ImageRegistryStorageReconfigured
      annotations:
        message: |
          Image Registry Storage configuration has changed in the last 30
          minutes. This change may have caused data loss.
      expr: increase(image_registry_operator_storage_reconfigured_total[30m]) > 0
      labels:
        severity: warning
    - expr: sum(apiserver_v1_image_imports_total)
      record: :apiserver_v1_image_imports:sum
